<ion-card
  *transloco="let t"
  [ngStyle]="{ 'background-color': backgroundColor }"
  class="card-row warning-card"
>
  <div class="card-content">
    <div class="header-container">
      <div
        [style.color]="titleColor"
        [style.font-size]="titleFontSize"
        class="header"
      >
        {{ title }}
      </div>
      <div *ngIf="subTitle" [style.color]="subTitleColor" class="subheader">
        {{ subTitle }}
      </div>
    </div>
    <ion-card-content>
      <div *ngFor="let button of buttons">
        <lib-custom-selectable-icon-text-button
          (selectedChange)="button.onSelect()"
          [applySelectionStyle]="
            button.applySelectionStyle ? button.applySelectionStyle : false
          "
          [color]="button.color"
          [icon]="button.icon"
          [selected]="button.selected ? button.selected : false"
          [text]="t(button.text)"
        >
        </lib-custom-selectable-icon-text-button>
      </div>
    </ion-card-content>
  </div>
</ion-card>
